Patchwork [meta-oe] nettle: update to version 3.0

login
register
mail settings
Submitter Armin Kuster
Date July 15, 2014, 1:27 p.m.
Message ID <1405430855-12398-1-git-send-email-akuster@mvista.com>
Download mbox | patch
Permalink /patch/75551/
State New
Headers show

Comments

Armin Kuster - July 15, 2014, 1:27 p.m.
Update to latest version
Add GNUv3 license

Signed-off-by: Armin Kuster <akuster@mvista.com>
---
 .../nettle/{nettle_2.7.1.bb => nettle_3.0.bb}            | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)
 rename meta/recipes-support/nettle/{nettle_2.7.1.bb => nettle_3.0.bb} (59%)
Ross Burton - July 15, 2014, 1:49 p.m.
On 15 July 2014 14:27, Armin Kuster <akuster@mvista.com> wrote:
> Add GNUv3 license

If nettle 3 contains GPLv3 code then we probably don't want to remove
nettle 2.1, for people building without any v3 code in the images.

Ross
Armin Kuster - July 15, 2014, 2:11 p.m.
On 07/15/2014 06:49 AM, Burton, Ross wrote:
> On 15 July 2014 14:27, Armin Kuster <akuster@mvista.com> wrote:
>> Add GNUv3 license
> If nettle 3 contains GPLv3 code then we probably don't want to remove
> nettle 2.1, for people building without any v3 code in the images.

They have what they call dual license in 3.x ( GPLv2 or GPLv3). We 
certainly can keep 2.7.1

I will send a V2 keeping 2.7.1

- Armin
>
> Ross
Armin Kuster - July 15, 2014, 2:19 p.m.
Ross,

Since we are keeping both versions, should I define  a PREFERRED_VERSION?

- Armin

On 07/15/2014 06:49 AM, Burton, Ross wrote:
> On 15 July 2014 14:27, Armin Kuster <akuster@mvista.com> wrote:
>> Add GNUv3 license
>
> If nettle 3 contains GPLv3 code then we probably don't want to remove
> nettle 2.1, for people building without any v3 code in the images.
>
> Ross
>
Richard Purdie - July 15, 2014, 3:09 p.m.
On Tue, 2014-07-15 at 07:11 -0700, akuster wrote:
> On 07/15/2014 06:49 AM, Burton, Ross wrote:
> > On 15 July 2014 14:27, Armin Kuster <akuster@mvista.com> wrote:
> >> Add GNUv3 license
> > If nettle 3 contains GPLv3 code then we probably don't want to remove
> > nettle 2.1, for people building without any v3 code in the images.
> 
> They have what they call dual license in 3.x ( GPLv2 or GPLv3). We 
> certainly can keep 2.7.1

Is it "GPLv2 or GPLv3" or "GPLv2 and GPLv3". There is a big difference
and the LICENSE field needs to be set correctly (&& or || in the license
field).

Cheers,

Richard
Saul Wold - July 15, 2014, 3:13 p.m.
On 07/15/2014 07:19 AM, akuster808 wrote:
> Ross,
>
> Since we are keeping both versions, should I define  a PREFERRED_VERSION?
>
No need to do that since the newer version will be used by default, and 
when INCOMPATIBLE_LICENSE with GPLv3 is set, the GPLv3 will be 
blacklisted and the older GPLv2 version will be used.

Sau!

> - Armin
>
> On 07/15/2014 06:49 AM, Burton, Ross wrote:
>> On 15 July 2014 14:27, Armin Kuster <akuster@mvista.com> wrote:
>>> Add GNUv3 license
>>
>> If nettle 3 contains GPLv3 code then we probably don't want to remove
>> nettle 2.1, for people building without any v3 code in the images.
>>
>> Ross
>>
Armin Kuster - July 15, 2014, 3:19 p.m.
Richard,

On 07/15/2014 08:09 AM, Richard Purdie wrote:
> On Tue, 2014-07-15 at 07:11 -0700, akuster wrote:
>> On 07/15/2014 06:49 AM, Burton, Ross wrote:
>>> On 15 July 2014 14:27, Armin Kuster <akuster@mvista.com> wrote:
>>>> Add GNUv3 license
>>> If nettle 3 contains GPLv3 code then we probably don't want to remove
>>> nettle 2.1, for people building without any v3 code in the images.
>>
>> They have what they call dual license in 3.x ( GPLv2 or GPLv3). We
>> certainly can keep 2.7.1
>
> Is it "GPLv2 or GPLv3" or "GPLv2 and GPLv3". There is a big difference
> and the LICENSE field needs to be set correctly (&& or || in the license
> field).



Looks like 'or':
<snippet>
    GNU Nettle is free software: you can redistribute it and/or
    modify it under the terms of either:

      * the GNU Lesser General Public License as published by the Free
        Software Foundation; either version 3 of the License, or (at your
        option) any later version.

    or

      * the GNU General Public License as published by the Free
        Software Foundation; either version 2 of the License, or (at your
        option) any later version.

    or both in parallel, as here.

- Armin

>
> Cheers,
>
> Richard
>

Patch

diff --git a/meta/recipes-support/nettle/nettle_2.7.1.bb b/meta/recipes-support/nettle/nettle_3.0.bb
similarity index 59%
rename from meta/recipes-support/nettle/nettle_2.7.1.bb
rename to meta/recipes-support/nettle/nettle_3.0.bb
index 8aa5351..04789c9 100644
--- a/meta/recipes-support/nettle/nettle_2.7.1.bb
+++ b/meta/recipes-support/nettle/nettle_3.0.bb
@@ -1,17 +1,19 @@ 
 SUMMARY = "A low level cryptographic library"
 HOMEPAGE = "http://www.lysator.liu.se/~nisse/nettle/"
 SECTION = "libs"
-LICENSE = "LGPLv2.1 & GPLv2"
-LIC_FILES_CHKSUM = "file://COPYING.LIB;md5=2d5025d4aa3495befef8f17206a5b0a1 \
-                    file://serpent-decrypt.c;beginline=53;endline=67;md5=bcfd4745d53ca57f82907089898e390d \
-                    file://serpent-set-key.c;beginline=56;endline=70;md5=bcfd4745d53ca57f82907089898e390d"
+LICENSE = "LGPLv2.1 & GPLv2 & GPLv3"
+LIC_FILES_CHKSUM = "file://COPYINGv3;md5=11cc2d3ee574f9d6b7ee797bdce4d423\
+                    file://serpent-decrypt.c;beginline=53;endline=67;md5=a4ccbeb343203d3586661f45c1cab577 \
+                    file://serpent-set-key.c;beginline=56;endline=70;md5=150b0ea44cdfb712a83331bff566e9a8"
 
 DEPENDS += "gmp"
 
 SRC_URI = "http://www.lysator.liu.se/~nisse/archive/${BP}.tar.gz"
 
-SRC_URI[md5sum] = "003d5147911317931dd453520eb234a5"
-SRC_URI[sha256sum] = "bc71ebd43435537d767799e414fce88e521b7278d48c860651216e1fc6555b40"
+SRC_URI[md5sum] = "f64b1bf1e774b7ae6e507318e340250e"
+SRC_URI[sha256sum] = "9651c0bd2326eb737d0ed9eb403444712407c01a25b0fe813432ef31bebcd913"
+
+inherit autotools-brokensep
 
 EXTRA_OECONF = "--disable-openssl"
 
@@ -21,6 +23,4 @@  do_configure_prepend() {
        fi
 }
 
-inherit autotools
-
 BBCLASSEXTEND = "native"